Permalink
Browse files

Update README.md

Most of it is updated Linux instructions
  • Loading branch information...
1 parent 266cc97 commit 81d287bb4e88cc854b86a1218705aba5a7c36d51 @jstamp jstamp committed Mar 5, 2013
Showing with 15 additions and 22 deletions.
  1. +15 −22 README.md
View
@@ -6,9 +6,7 @@ Channel: #last.desktop
# Build Dependencies
* Qt >= 4.8
-* Ruby
@probistiens

probistiens Sep 27, 2014

9 - * Руби
10 - * Perl

-* Perl
@probistiens

probistiens Sep 27, 2014

9 - * Руби
10 - * Perl
11 - * Liblastfm

-* liblastfm
+* liblastfm >= 1.0.7
You will also need depending on your chosen platform:-
@@ -114,33 +112,27 @@ I found that I also needed to copy the dll into the lastfm-desktop/_bin folder.
## Linux
-* pkg-config
-* taglib
-* libsamplerate
-* fftw3
-* libmad
-* libavformat
-* libgpod
-* sqlite3
@probistiens

probistiens Sep 27, 2014

117 - * Уп-конфигурации
118 - * TagLib
119 - * Libsamplerate
120 - * Fftw3
121 - * Libmad
122 - * Libavformat
123 - * Libgpod
124 - * Sqlite3

+On Debian or Ubuntu, you can download all the build dependencies by running:
-Possibly you'll have to play around to get a phonon that works with KDE4 and
-Qt. I can't help you there I'm afraid. An example Ubuntu installation would
-probably go:
@probistiens

probistiens Sep 27, 2014

126 - Возможно, вам придется поэкспериментировать, чтобы получить фонон, который работает с KDE4 и
127 - Qt. Я не могу помочь вам там, я боюсь. Пример установки Ubuntu будет
128 - вероятно,:

+ sudo apt-get install libavformat-dev libgpod-nogtk-dev liblastfm-dev \
+ libphonon-dev libqt4-dev libqtwebkit-dev pkg-config \
+ zlib1g-dev
- sudo apt-get install libqt4-dev pkg-config libtag1-dev libsamplerate0-dev \
- libfftw3-dev libmad0-dev libsqlite3-dev libqt4-sql-sqlite \
@probistiens

probistiens Sep 27, 2014

130 - Судо кв-получить установку libqt4-Dev-пакета конфигурации libtag1-Dev libsamplerate0-Dev
131 - Libfftw3-Dev libmad0-Dev libsqlite3-Dev libqt4-SQL-SQLite
132 - Libavformat-Dev libgpod-Dev libphonon-Dev фононов

- libavformat-dev libgpod-dev libphonon-dev phonon
+You should also install the `libqt4-sql-sqlite` plugin if you want to use the
+software to scrobble your iPod.
# Build Instructions
qmake -r
make -j4
-`make install` currently does nothing, so running the app is a bit tricky (see below).
@probistiens

probistiens Sep 27, 2014

139 -make install настоящее время не делает ничего, так запуске приложения является немного сложнее (см ниже) .

+`make install` currently does not work on Windows or OSX.
-Note: use nmake on Windows
@probistiens

probistiens Sep 27, 2014

141 - Примечание : использовать NMAKE на ОС Windows

+Windows note: use nmake on Windows
-Note that if you installed Qt through homebrew it will default to a release build.
@probistiens

probistiens Sep 27, 2014

143 -Примечание, Что если вы установили Qt через доморощенного, по умолчанию будет релизе программы.

+Linux note: Linux users can set the install prefix like so `qmake PREFIX=/usr/local`
+
+OSX note: if you installed Qt through homebrew it will default to a release build.
# Run Instructions
@@ -151,9 +143,10 @@ need to tell the app where the stylesheet is, like this:
./Last.fm.exe -stylesheet path/to/Last.fm.css
-Or on Linux,from the root of the source directory:
@probistiens

probistiens Sep 27, 2014

154 -OR На Linux, от корня исходного каталога:

+On Linux, if you have not run `make install`, you can run the app like this
+from the root of the source directory:
- LD_LIBRARY_PATH=_bin:/usr/local/lib/x86_64-linux-gnu _bin/Last.fm\ Scrobbler -stylesheet app/client/Last.fm\ Scrobbler.css
@probistiens

probistiens Sep 27, 2014

156 - LD_LIBRARY_PATH = _BIN : / USR / местные / Библиотека / x86_64-Linux-гну _BIN / Last.fm \ Scrobbler -stylesheet приложение / клиент / Last.fm \ Scrobbler.css

+ _bin/lastfm-scrobbler -stylesheet app/client/Last.fm\ Scrobbler.css
# Build Support

0 comments on commit 81d287b

Please sign in to comment.